package uniandes.cupi2.sitp.interfaz;

import java.util.Date;
import java.util.List;

import uniandes.cupi2.sitp.mundo.Dia;
import uniandes.cupi2.sitp.mundo.FabricaRutas;
import uniandes.cupi2.sitp.mundo.IRuta;
import uniandes.cupi2.sitp.mundo.Parada;

/**
 * Dialogo que permite agregar un alimentador al sistema
 * @author alvar-go
 *
 */
public class DialogoAgregarAlimentador extends DialogoAgregarNoTransmilenio {

	/**
	 * Constante de serializacin
	 */
	private static final long serialVersionUID = 1L;


	/**
	 * Crea un nuevo dialogo para agregar alimentadores
	 * @param interfaz la clase principal de la aplicacin
	 * @param x coordenada en x de la primera parada del alimentador
	 * @param y coordenada en y de la primera parada del alimentador
	 */
	public DialogoAgregarAlimentador(InterfazSITP interfaz, int x, int y) 
	{
		super(interfaz, x, y);
		
	}

	protected void inicializarCamposEspecificos() 
	{
		setTitle("Agregar alimentador");
		super.inicializarCamposEspecificos();
	}

	protected IRuta crearRuta(String nombre, List<Dia> ds, Parada p, Date din, Date dfin) {
		return FabricaRutas.crearAlimentador(nombre, ds, p, din, dfin);
	}
	


}
