
package uniandes.cupi2.sitp.interfaz;

import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.border.TitledBorder;

/**
 * Panel de manejo de extensiones.
 */
public class PanelExtension extends JPanel implements ActionListener
{

    /**
	 * Cosntante de serialziacin
	 */
	private static final long serialVersionUID = 1L;

	/**
     * Constante que representa el comando para la Opcin 1.
     */
    private static final String OPCION_1 = "OPCION_1";

    /**
     * Constante que representa el comando para la Opcin 2.
     */
    private static final String OPCION_2 = "OPCION_2";


    /**
     * Ventana principal de la aplicacin.
     */
    private InterfazSITP principal;

    /**
     * Botn para opcin 1.
     */
    private JButton btnOpcion1;

    /**
     * Botn para opcin 2.
     */
    private JButton btnOpcion2;


    /**
     * Constructor del panel de extensin.
     * @param pPrincipal Ventana principal de la aplicacin. pPrincipal != null.
     */
    public PanelExtension( InterfazSITP pPrincipal )
    {
        principal = pPrincipal;

        setBorder( new TitledBorder( "Extensiones" ) );
        setLayout( new GridLayout( 1, 2 ) );

        btnOpcion1 = new JButton( "Opcin 1" );
        btnOpcion1.setActionCommand( OPCION_1 );
        btnOpcion1.addActionListener( this );
        add( btnOpcion1 );

        btnOpcion2 = new JButton( "Opcin 2" );
        btnOpcion2.setActionCommand( OPCION_2 );
        btnOpcion2.addActionListener( this );
        add( btnOpcion2 );
    }

    public void actionPerformed( ActionEvent pEvento )
    {
        String comando = pEvento.getActionCommand( );
        if( OPCION_1.equals( comando ) )
        {
            principal.reqFuncOpcion1( );
        }
        else if( OPCION_2.equals( comando ) )
        {
            principal.reqFuncOpcion2( );
        }
    }

}
