package uniandes.cupi2.sitp.interfaz;

import java.awt.Color;
import java.awt.Component;

import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

import uniandes.cupi2.sitp.mundo.IRuta;


/**
 * Modelo para pintar una ruta
 * @author alvar-go
 *
 */
public class RutaLista implements ListCellRenderer{

	public Component getListCellRendererComponent(JList lista, Object obj, int pos, boolean seleccionado, boolean focus) {
		if( obj instanceof IRuta)
		{
			IRuta ruta = (IRuta)obj;
			JLabel lbNombre = new JLabel(ruta.darIdentificador());
			lbNombre.setBorder(BorderFactory.createEmptyBorder(5, 5, 5, 5));
			String nombre = ruta.getClass().getName();
			
			String img = "data/imagenes/ruta-" + nombre.replace("uniandes.cupi2.sitp.mundo.", "") + ".png";
			lbNombre.setIcon( new ImageIcon(img));
			if(seleccionado)
			{
				lbNombre.setBackground(new Color(136,136,136));
				lbNombre.setOpaque(true);
				lbNombre.setForeground(Color.WHITE);
			}
			return lbNombre;
		}
		return null;
	}	
}
