package uniandes.cupi2.sitp.mundo;

import java.awt.Color;
import java.util.List;

/**
 * Clase que representa una ruta de transmilenio
 * @author alvar-go
 *
 */
public class Articulado extends Ruta
{
	/**
	 * Constante de serializacin
	 */
	private static final long serialVersionUID = 20L;
	
	/**
	 * Color que representa las rutas de transmilenio
	 */
	public final static Color COLOR_ARTICULADO = Color.RED; 
	
	/**
	 * Troncales por las que pasa la ruta
	 */
	private List<Troncal> troncales;
	
	/**
	 * Crea un nuevo articulado solo con sus troncales
	 * @param ts las troncales por las que pasa el articulado. ts != null
	 */
	public Articulado(List<Troncal> ts)
	{
		super();
		troncales = ts;
		color = COLOR_ARTICULADO;
	}


	
	/**
	 * Devuelve la lista de troncales por las que pasa la ruta
	 * @return troncales
	 */
	public List<Troncal> darTroncales()
	{
		return troncales;
	}
	
	
}
