package uniandes.cupi2.sitp.mundo;

/**
 * Das de la semana
 * @author alvar-go
 *
 */
public enum Dia 
{
	LUNES("L", "Lunes"),
	MARTES("M", "Martes"),
	MIERCOLES("I", "Mircoles"),
	JUEVES("J", "Jueves"),
	VIERNES("V", "Viernes"),
	SABADO("S", "Sbado"),
	DOMINGO("D", "Domingo");
	
	/**
	 * Letra que identifica al da
	 */
	private String letra;
	
	/**
	 * Nombre del da
	 */
	private String nombre;
	
	/**
	 * Crea un nuevo da
	 * @param nLetra la letra que identifica al da
	 * @param nNombre el nombre del da
	 */
	private Dia(String nLetra, String nNombre)
	{
		letra = nLetra;
		nombre = nNombre;
	}
	
	/**
	 * Devuelve el nombre del da
	 * @return nombre
	 */
	public String darNombre()
	{
		return nombre;
	}
	
	/**
	 * Devuelve la letra que identifica el da
	 * @return letra
	 */
	public String darLetra()
	{
		return letra;
	}
	
	/**
	 * Representacin en String del da
	 * @return <nombre>
	 */
	public String toString()
	{
		return nombre;
	}
	
	
}
